Bug 110444

Summary: [skl] GPU HANG: ecode 9:0:0x85dfffff, in Xorg
Product: Mesa Reporter: Jintao Zhang <zhangjintao9020>
Component: Drivers/DRI/i965Assignee: Intel 3D Bugs Mailing List <intel-3d-bugs>
Status: RESOLVED MOVED QA Contact: Intel 3D Bugs Mailing List <intel-3d-bugs>
Severity: normal    
Priority: medium CC: intel-gfx-bugs
Version: unspecified   
Hardware: x86-64 (AMD64)   
OS: Linux (All)   
Whiteboard: Triaged
i915 platform: SKL i915 features: GPU hang
Attachments: GPU crash dump

Description Jintao Zhang 2019-04-16 06:16:44 UTC
dmesg output.


```
[ 7003.791337] [drm] GPU HANG: ecode 9:0:0x85dfffff, in Xorg [2519], reason: hang on rcs0, action: reset
[ 7003.791342] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[ 7003.791343] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[ 7003.791345] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[ 7003.791347] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[ 7003.791349] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[ 7003.792423] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
[ 7011.770307] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
[ 7019.770262] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
[ 7027.770144] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
[ 7035.770234] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
[ 7036.084359] show_signal_msg: 65 callbacks suppressed
[ 7036.084361] electron[12234]: segfault at 968 ip 00007fab9c84d677 sp 00007ffeec2a8920 error 4 in libX11.so.6.3.0[7fab9c81f000+13a000]

```


(MoeLove) ➜  ~ lspci -nn |grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Skylake GT2 [HD Graphics 520] [8086:1916] (rev 07)

(MoeLove) ➜  ~ uname -rm
5.0.7-100.fc28.x86_64 x86_64

(MoeLove) ➜  ~ lsb_release -a
LSB Version:	:core-4.1-amd64:core-4.1-noarch
Distributor ID:	Fedora
Description:	Fedora release 28 (Twenty Eight)
Release:	28
Codename:	TwentyEight

(MoeLove) ➜  ~ rpm -qa |grep -i xorg
xorg-x11-drv-wacom-0.36.1-4.fc28.x86_64
xorg-x11-drv-nouveau-1.0.15-4.fc28.x86_64
xorg-x11-drv-libinput-0.28.1-1.fc28.x86_64
xorg-x11-font-utils-7.5-38.fc28.x86_64
xorg-x11-drv-openchrome-0.6.0-4.fc28.x86_64
xorg-x11-server-utils-7.7-24.fc28.x86_64
xorg-x11-server-common-1.19.6-10.fc28.x86_64
xorg-x11-drv-vesa-2.4.0-2.fc28.x86_64
abrt-addon-xorg-2.10.10-1.fc28.x86_64
xorg-x11-server-Xwayland-1.19.6-10.fc28.x86_64
xorg-x11-drv-fbdev-0.4.3-29.fc28.x86_64
xorg-x11-drv-wacom-serial-support-0.36.1-4.fc28.x86_64
xorg-x11-xauth-1.0.9-11.fc28.x86_64
xorg-x11-drv-qxl-0.1.5-6.fc28.x86_64
xorg-x11-drv-vmware-13.2.1-5.fc28.x86_64
xorg-x11-fonts-ISO8859-1-100dpi-7.5-19.fc28.noarch
xorg-x11-drv-evdev-2.10.6-2.fc28.x86_64
xorg-x11-server-Xorg-1.19.6-10.fc28.x86_64
xorg-x11-fonts-Type1-7.5-19.fc28.noarch
xorg-x11-xkb-utils-7.7-26.fc28.x86_64
xorg-x11-drv-ati-18.1.0-1.fc28.x86_64
xorg-x11-fonts-misc-7.5-19.fc28.noarch
xorg-x11-utils-7.5-28.fc28.x86_64
xorg-x11-drv-intel-2.99.917-32.20171025.fc28.x86_64
xorg-x11-xinit-1.3.4-18.fc28.x86_64


Mcachine: HP ProBook 430G3 Intel(R) Core(TM) i5-6200U CPU @ 2.30GHz
Comment 1 Lakshmi 2019-04-16 11:00:08 UTC
> please always attach it.
> [ 7003.791349] [drm] GPU crash dump saved to /sys/class/drm/card0/error

Can you please attach the crash dump file here?
Also, please attach dmesg from boot with kernel parameters drm.debug=0x1e log_buf_len=4M.
How often this occurs? Any patterns that occurs this hang?
Comment 2 Lakshmi 2019-05-02 13:06:04 UTC
(In reply to Jintao Zhang from comment #0)
> dmesg output.
> 
> 
> ```
> [ 7003.791337] [drm] GPU HANG: ecode 9:0:0x85dfffff, in Xorg [2519], reason:
> hang on rcs0, action: reset
> [ 7003.791342] [drm] GPU hangs can indicate a bug anywhere in the entire gfx
> stack, including userspace.
> [ 7003.791343] [drm] Please file a _new_ bug report on bugs.freedesktop.org
> against DRI -> DRM/Intel
> [ 7003.791345] [drm] drm/i915 developers can then reassign to the right
> component if it's not a kernel issue.
> [ 7003.791347] [drm] The gpu crash dump is required to analyze gpu hangs, so
> please always attach it.
> [ 7003.791349] [drm] GPU crash dump saved to /sys/class/drm/card0/error
> [ 7003.792423] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
> [ 7011.770307] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
> [ 7019.770262] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
> [ 7027.770144] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
> [ 7035.770234] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
> [ 7036.084359] show_signal_msg: 65 callbacks suppressed
> [ 7036.084361] electron[12234]: segfault at 968 ip 00007fab9c84d677 sp
> 00007ffeec2a8920 error 4 in libX11.so.6.3.0[7fab9c81f000+13a000]
> 
> ```
> 
> 
> (MoeLove) ➜  ~ lspci -nn |grep VGA
> 00:02.0 VGA compatible controller [0300]: Intel Corporation Skylake GT2 [HD
> Graphics 520] [8086:1916] (rev 07)
> 
> (MoeLove) ➜  ~ uname -rm
> 5.0.7-100.fc28.x86_64 x86_64
> 
> (MoeLove) ➜  ~ lsb_release -a
> LSB Version:	:core-4.1-amd64:core-4.1-noarch
> Distributor ID:	Fedora
> Description:	Fedora release 28 (Twenty Eight)
> Release:	28
> Codename:	TwentyEight
> 
> (MoeLove) ➜  ~ rpm -qa |grep -i xorg
> xorg-x11-drv-wacom-0.36.1-4.fc28.x86_64
> xorg-x11-drv-nouveau-1.0.15-4.fc28.x86_64
> xorg-x11-drv-libinput-0.28.1-1.fc28.x86_64
> xorg-x11-font-utils-7.5-38.fc28.x86_64
> xorg-x11-drv-openchrome-0.6.0-4.fc28.x86_64
> xorg-x11-server-utils-7.7-24.fc28.x86_64
> xorg-x11-server-common-1.19.6-10.fc28.x86_64
> xorg-x11-drv-vesa-2.4.0-2.fc28.x86_64
> abrt-addon-xorg-2.10.10-1.fc28.x86_64
> xorg-x11-server-Xwayland-1.19.6-10.fc28.x86_64
> xorg-x11-drv-fbdev-0.4.3-29.fc28.x86_64
> xorg-x11-drv-wacom-serial-support-0.36.1-4.fc28.x86_64
> xorg-x11-xauth-1.0.9-11.fc28.x86_64
> xorg-x11-drv-qxl-0.1.5-6.fc28.x86_64
> xorg-x11-drv-vmware-13.2.1-5.fc28.x86_64
> xorg-x11-fonts-ISO8859-1-100dpi-7.5-19.fc28.noarch
> xorg-x11-drv-evdev-2.10.6-2.fc28.x86_64
> xorg-x11-server-Xorg-1.19.6-10.fc28.x86_64
> xorg-x11-fonts-Type1-7.5-19.fc28.noarch
> xorg-x11-xkb-utils-7.7-26.fc28.x86_64
> xorg-x11-drv-ati-18.1.0-1.fc28.x86_64
> xorg-x11-fonts-misc-7.5-19.fc28.noarch
> xorg-x11-utils-7.5-28.fc28.x86_64
> xorg-x11-drv-intel-2.99.917-32.20171025.fc28.x86_64
> xorg-x11-xinit-1.3.4-18.fc28.x86_64
> 
> 
> Mcachine: HP ProBook 430G3 Intel(R) Core(TM) i5-6200U CPU @ 2.30GHz

U(In reply to Lakshmi from comment #1)
> > please always attach it.
> > [ 7003.791349] [drm] GPU crash dump saved to /sys/class/drm/card0/error
> 
> Can you please attach the crash dump file here?
> Also, please attach dmesg from boot with kernel parameters drm.debug=0x1e
> log_buf_len=4M.
> How often this occurs? Any patterns that occurs this hang?
We can not make any progress without these logs. Can you please provide above details?
Comment 3 Jintao Zhang 2019-05-05 03:26:55 UTC
Created attachment 144164 [details]
GPU crash dump
Comment 4 Jintao Zhang 2019-05-05 03:30:05 UTC
(In reply to Lakshmi from comment #2)
> (In reply to Jintao Zhang from comment #0)
> > dmesg output.
> > 
> > 
> > ```
> > [ 7003.791337] [drm] GPU HANG: ecode 9:0:0x85dfffff, in Xorg [2519], reason:
> > hang on rcs0, action: reset
> > [ 7003.791342] [drm] GPU hangs can indicate a bug anywhere in the entire gfx
> > stack, including userspace.
> > [ 7003.791343] [drm] Please file a _new_ bug report on bugs.freedesktop.org
> > against DRI -> DRM/Intel
> > [ 7003.791345] [drm] drm/i915 developers can then reassign to the right
> > component if it's not a kernel issue.
> > [ 7003.791347] [drm] The gpu crash dump is required to analyze gpu hangs, so
> > please always attach it.
> > [ 7003.791349] [drm] GPU crash dump saved to /sys/class/drm/card0/error
> > [ 7003.792423] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
> > [ 7011.770307] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
> > [ 7019.770262] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
> > [ 7027.770144] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
> > [ 7035.770234] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
> > [ 7036.084359] show_signal_msg: 65 callbacks suppressed
> > [ 7036.084361] electron[12234]: segfault at 968 ip 00007fab9c84d677 sp
> > 00007ffeec2a8920 error 4 in libX11.so.6.3.0[7fab9c81f000+13a000]
> > 
> > ```
> > 
> > 
> > (MoeLove) ➜  ~ lspci -nn |grep VGA
> > 00:02.0 VGA compatible controller [0300]: Intel Corporation Skylake GT2 [HD
> > Graphics 520] [8086:1916] (rev 07)
> > 
> > (MoeLove) ➜  ~ uname -rm
> > 5.0.7-100.fc28.x86_64 x86_64
> > 
> > (MoeLove) ➜  ~ lsb_release -a
> > LSB Version:	:core-4.1-amd64:core-4.1-noarch
> > Distributor ID:	Fedora
> > Description:	Fedora release 28 (Twenty Eight)
> > Release:	28
> > Codename:	TwentyEight
> > 
> > (MoeLove) ➜  ~ rpm -qa |grep -i xorg
> > xorg-x11-drv-wacom-0.36.1-4.fc28.x86_64
> > xorg-x11-drv-nouveau-1.0.15-4.fc28.x86_64
> > xorg-x11-drv-libinput-0.28.1-1.fc28.x86_64
> > xorg-x11-font-utils-7.5-38.fc28.x86_64
> > xorg-x11-drv-openchrome-0.6.0-4.fc28.x86_64
> > xorg-x11-server-utils-7.7-24.fc28.x86_64
> > xorg-x11-server-common-1.19.6-10.fc28.x86_64
> > xorg-x11-drv-vesa-2.4.0-2.fc28.x86_64
> > abrt-addon-xorg-2.10.10-1.fc28.x86_64
> > xorg-x11-server-Xwayland-1.19.6-10.fc28.x86_64
> > xorg-x11-drv-fbdev-0.4.3-29.fc28.x86_64
> > xorg-x11-drv-wacom-serial-support-0.36.1-4.fc28.x86_64
> > xorg-x11-xauth-1.0.9-11.fc28.x86_64
> > xorg-x11-drv-qxl-0.1.5-6.fc28.x86_64
> > xorg-x11-drv-vmware-13.2.1-5.fc28.x86_64
> > xorg-x11-fonts-ISO8859-1-100dpi-7.5-19.fc28.noarch
> > xorg-x11-drv-evdev-2.10.6-2.fc28.x86_64
> > xorg-x11-server-Xorg-1.19.6-10.fc28.x86_64
> > xorg-x11-fonts-Type1-7.5-19.fc28.noarch
> > xorg-x11-xkb-utils-7.7-26.fc28.x86_64
> > xorg-x11-drv-ati-18.1.0-1.fc28.x86_64
> > xorg-x11-fonts-misc-7.5-19.fc28.noarch
> > xorg-x11-utils-7.5-28.fc28.x86_64
> > xorg-x11-drv-intel-2.99.917-32.20171025.fc28.x86_64
> > xorg-x11-xinit-1.3.4-18.fc28.x86_64
> > 
> > 
> > Mcachine: HP ProBook 430G3 Intel(R) Core(TM) i5-6200U CPU @ 2.30GHz
> 
> U(In reply to Lakshmi from comment #1)
> > > please always attach it.
> > > [ 7003.791349] [drm] GPU crash dump saved to /sys/class/drm/card0/error
> > 
> > Can you please attach the crash dump file here?
> > Also, please attach dmesg from boot with kernel parameters drm.debug=0x1e
> > log_buf_len=4M.
> > How often this occurs? Any patterns that occurs this hang?
> We can not make any progress without these logs. Can you please provide
> above details?

Thanks for your reply.

I wanted to upload attachments. But the server always gives me `ERR_ACCESS_DENIED` response.

I think there may be a problem with the website, so I have been retrying/waiting for a fix.
But just now I suddenly realized that it might be a problem with my file permissions. I fixed it. The upload was successful.
Comment 5 Jintao Zhang 2019-05-05 03:31:25 UTC
The attachment is crash dump hope this helps.

Thanks.
Comment 6 GitLab Migration User 2019-09-25 20:33:07 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1807.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.